[tox]
envlist = {3.6,3.7,3.8,3.9,3.10}
isolated_build = True

[testenv]
changedir = ..
commands =
    -python -bb -m pytest {posargs}
    -python -bb -m pytest --lf --lfnf=none --no-collect-ok --randomly-seed=last {posargs}
    python -bb -m pytest --lf --lfnf=none --no-collect-ok --randomly-seed=last {posargs}
passenv = PG* PSYCOPG_TEST_DSN PYTEST_ADDOPTS PSYCOPG_IMPL PIP_CONSTRAINT
deps =
    -e {toxinidir}/../psycopg[test]
    -e {toxinidir}/../psycopg_pool

[flake8]
max-line-length = 88
ignore = W503, E203
